Index: palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 183)
+++ palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 190)
@@ -5,23 +5,30 @@
 load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"
 
+;***************************************************
+; load ncl_preferences.ncl
+;***************************************************
+   
+if (isfilepresent("~/ncl_preferences.ncl")) then
+   loadscript("~/ncl_preferences.ncl")
+else
+  if (isfilepresent("~/palm/current_version/trunk/SCRIPTS/NCL/ncl_preferences.ncl")) then
+     loadscript( "~/palm/current_version/trunk/SCRIPTS/NCL/ncl_preferences.ncl")
+  else
+      print(" ")
+      print("'ncl_preferences.ncl' does not exist in $home or $home/palm/current_version/trunk/SCRIPTS/NCL/")
+      print(" ")
+      exit
+   end if
+end if
+    
 begin
 
-   ; ***************************************************
-   ; read parameter_list
-   ; ***************************************************
-
-   if (isfilepresent("~/.ncl_preferences")) then
-      parameter = asciiread("~/.ncl_preferences",129,"string")
-      delete(parameter@_FillValue)
-   else
-      if (isfilepresent("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences")) then
-         parameter = asciiread("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences",129,"string")
-         delete(parameter@_FillValue)
-      else
-         print(" ")
-         print("'.ncl_preferences' is not present in '~/palm/current_version/trunk/SRIPTS/NCL/'")
-         print(" ")
-         exit
-      end if
+   if (cross_sections .NE. 1 .OR. profiles .NE. 0 .OR. timeseries .NE. 0 .OR. spectra .NE. 0)then
+      print(" ")
+      print("Please specify the used script in 'ncl_preferences.ncl' (Line 7-10)")
+      print(" ")
+      print("Set 'cross_sections' equal 1 and the other variables equal 0")
+      print(" ")
+      exit
    end if
 
@@ -30,13 +37,9 @@
    ; ***************************************************
    
-   if ( .not. isvar("file_1") ) then     		  
-      if (parameter(7) .EQ. "File in") then
-         print(" ")
-         print("Please provide 1st input file 'file_1=' either in prompt or parameter_list")
-         print(" ")
-         exit
-      else
-         file_in = parameter(7)
-      end if   
+   if (file_1 .EQ. "File in") then
+      print(" ")
+      print("Please provide 1st input file 'file_1=' in 'ncl_preferences.ncl'")
+      print(" ")
+      exit 
    else
       file_in = file_1   
@@ -44,188 +47,65 @@
    if (.not. isfilepresent(file_in)) then
       print(" ")
-      print("Your 1st input file: '"+file_in+"' does not exist")
+      print("1st input file: '"+file_in+"' does not exist")
       print(" ")
       exit
    end if 
 
-   if ( .not. isvar("format_out") ) then   		
-      format_out = "x11"
-      if (parameter(9) .NE. "x11") then
-         format_out = parameter(9)  
-         if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
-            print(" ")
-            print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
-            print(" ")
-         end if  
-      end if 
-   else
-      if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
-         print(" ")
-         print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
-         print(" ")
-      end if   
-   end if
-
-   if ( .not. isvar("file_out") ) then    	 	
-      file_out = "test"
-      if (parameter(11) .NE. "test") then
-         file_out = parameter(11)  
-     end if     
-   end if
-   if ( .not. isvar("no_columns") ) then    		
-      no_columns = 1
-      if (parameter(17) .NE. "1") then
-         no_columns = stringtointeger(parameter(17))  
-      end if
-   end if
-   if ( .not. isvar("no_lines") ) then     		
-      no_lines = 2
-      if (parameter(19) .NE. "2") then
-         no_lines = stringtointeger(parameter(19))  
-      end if
+   if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
+      print(" ")
+      print("'format_out = "+format_out+"' is invalid and set to'x11'")
+      print(" ")
+      format_out="x11"
+   end if
+
+   if (sort .NE. "layer" .AND. sort .NE. "time") then  
+      print(" ")
+      print("'sort'= "+sort+" is invalid and set to 'layer'")
+      print(" ")
+      sort = "layer"  
+   end if
+   
+   if (mode .NE. "Fill" .AND. mode .NE. "Line" .AND. mode .NE. "Both") then
+      print(" ")
+      print("'mode'= "+mode+" is invalid and set to 'Fill'")
+      print(" ")
+      mode = "Fill"
+   end if
+
+   if (fill_mode .NE. "AreaFill" .AND. fill_mode .NE. "RasterFill" .AND. fill_mode .NE. "CellFill") then
+      print(" ")
+      print("Your 'fill_mode'= "+fill_mode+" is invalid and set to 'AreaFill'")
+      print(" ")
+      fill_mode = "AreaFill"
+   end if
+   
+   if (shape .NE. 0 .AND. shape .NE. 1) then
+      print(" ")
+      print("'shape'= "+shape+" is invalid and set to 1")
+      print(" ")
+      shape = 1
    end if 
-
-   if ( .not. isvar("sort") ) then   			
-      sort = "layer"
-      if (parameter(51) .NE. "layer") then
-         sort = parameter(51)  
-         if (sort .NE. "time") then
-            print(" ")
-            print("Your 'sort'= "+sort+" is invalid and set to 'layer'")
-            print(" ")
-            sort = "layer"  
-         end if
-      end if
-   else
-      if (sort .NE. "time" .OR. sort .NE. "layer")then
-         print(" ")
-         print("Your 'sort'= "+sort+" is invalid and set to 'layer'")
-         print(" ")
-         sort = "layer"    
-      end if
-   end if 
-
-   if ( .not. isvar("mode") ) then   			
-      mode = "Fill"
-      if (parameter(49) .NE. "Fill") then
-         mode = parameter(49)  
-         if (mode .NE. "Line" .AND. mode .NE. "Both")then
-            print(" ")
-            print("Your 'mode'= "+mode+" is invalid and set to 'Fill'")
-            print(" ")
-            mode = "Fill"
-         end if
-      end if
-   else
-      if (mode .NE. "Line" .AND. mode .NE. "Both")then
-         print(" ")
-         print("Your 'mode'= "+mode+" is invalid and set to 'Fill'")
-         print(" ")
-         mode = "Fill"
-      end if   
-   end if
-
-   if ( .not. isvar("fill_mode") ) then 		
-      fill_mode = "AreaFill"
-      if (parameter(53) .NE. "AreaFill") then
-         fill_mode = parameter(53)  
-         if (fill_mode .NE. "RasterFill" .AND. fill_mode .NE. "CellFill")then
-            print(" ")
-            print("Your 'fill_mode'= "+fill_mode+" is invalid and set to 'AreaFill'")
-            print(" ")
-            fill_mode = "AreaFill"
-         end if
-      end if 
-   else
-      if (fill_mode .NE. "RasterFill" .AND. fill_mode .NE. "CellFill")then
-         print(" ")
-         print("Your 'fill_mode'= "+fill_mode+" is invalid and set to 'AreaFill'")
-         print(" ")
-         fill_mode = "AreaFill"
-      end if
-   end if
-
-   if ( .not. isvar("shape") ) then   			
-      shape = 1
-      if (parameter(55) .NE. "1") then
-         shape = stringtointeger(parameter(55)) 
-         if (shape .NE. 0) then
-            print(" ")
-            print("Your 'shape'= "+shape+" is invalid and set to 1")
-            print(" ")
-            shape = 1
-         end if 
-      end if
-   else
-      if (shape .NE. 0) then
-         print(" ")
-         print("Your 'shape'= "+shape+" is invalid and set to 1")
-         print(" ")
-         shape = 1
-      end if      
-   end if 
- 
-   if ( .not. isvar("var") ) then     			
-      check = True
-   end if
-
-   if ( .not. isvar("xyc") ) then   			
-      xyc = 0
-      if (parameter(57) .NE. "0") then
-         xyc = stringtointeger(parameter(57)) 
-         if (xyc .NE. 1) then
-            print(" ")
-            print("Your 'xyc'= "+xyc+" is invalid and set to 0")
-            print(" ")
-            xyc = 0
-         end if 
-      end if
-   else
-      if (xyc .NE. 1) then
-         print(" ")
-         print("Your 'xyc'= "+xyc+" is invalid and set to 0")
-         print(" ")
-         xyc = 0
-      end if 
-   end if 
-   if ( .not. isvar("xzc") ) then   			
-      xzc = 0
-      if (parameter(59) .NE. "0") then
-         xzc = stringtointeger(parameter(59)) 
-         if (xzc .NE. 1) then
-            print(" ")
-            print("Your 'xzc'= "+xzc+" is invalid and set to 0")
-            print(" ")
-            xzc = 0
-         end if 
-      end if
-   else
-      if (xzc .NE. 1) then
-         print(" ")
-         print("Your 'xzc'= "+xzc+" is invalid and set to 0")
-         print(" ")
-         xzc = 0
-      end if
-   end if
-   if ( .not. isvar("yzc") ) then   			
-      yzc = 0
-      if (parameter(61) .NE. "0") then
-         yzc = stringtointeger(parameter(61)) 
-         if (yzc .NE. 1) then
-            print(" ")
-            print("Your 'yzc'= "+yzc+" is invalid and set to 0")
-            print(" ")
-            yzc = 0
-         end if 
-      end if
-   else
-      if (yzc .NE. 1) then
-         print(" ")
-         print("Your 'yzc'= "+yzc+" is invalid and set to 0")
-         print(" ")
-         yzc = 0
-      end if 
-   end if
-
+   
+   if (xyc .NE. 0 .AND. xyc .NE. 1)then
+      print(" ")
+      print("'xyc'= "+xyc+" is invalid and set to 0")
+      print(" ")
+      xyc = 0  
+   end if
+   
+   if (xzc .NE. 0 .AND. xzc .NE. 1)then
+      print(" ")
+      print("'xzc'= "+xzc+" is invalid and set to 0")
+      print(" ")
+      xyc = 0  
+   end if
+   
+   if (yzc .NE. 0 .AND. yzc .NE. 1)then
+      print(" ")
+      print("'yzc'= "+yzc+" is invalid and set to 0")
+      print(" ")
+      xyc = 0  
+   end if
+   
    if (xyc .EQ. 0 .AND. xzc .EQ. 0 .AND. yzc .EQ. 0) then
       print(" ")
@@ -258,23 +138,12 @@
       end if
    end if
-   if ( .not. isvar("vector") ) then   		
-      vector = 0
-      if (parameter(39) .NE. "0") then
-         vector = stringtointeger(parameter(39)) 
-         if (stringtointeger(parameter(39)) .NE. 1) then
-            print(" ")
-            print("Please set 'vector' to 0 or 1")
-            print(" ")
-            exit
-         end if   
-      end if
-   end if
-   if ( .not. isvar("ref_mag") ) then   			
-      ref_mag = 0.05
-      if (parameter(47) .NE. "0.05") then
-         ref_mag = stringtofloat(parameter(47))   
-      end if
-   end if 
-
+
+   if (vector .NE. 0 .AND. vector .NE. 1) then
+      print(" ")
+      print("Please set 'vector' to 0 or 1")
+      print(" ")
+      exit
+   end if   
+ 
    ; ***************************************************
    ; open input file
@@ -285,5 +154,6 @@
    vNam  = getfilevarnames(f) 
    print(" ")
-   print("Variable on netCDF file: " + vNam)
+   print("Variables in input file:")
+   print("- "+ vNam)
    print(" ")
    dim   = dimsizes(vNam)
@@ -369,8 +239,4 @@
    cs_res                          = True
    cs_res@gsnYAxisIrregular2Linear = True  
-
-   if( shape .eq. 1 ) then          			
-      cs_res@gsnShape = True
-   end if
   
    cs_res@gsnDraw                 = False
@@ -381,13 +247,13 @@
    cs_res@gsnPaperHeight          = 11.69
    cs_res@gsnPaperMargin          = 0.79
-   cs_res@tmXBLabelFontHeightF   = .02
-   cs_res@tmYLLabelFontHeightF   = .02
-   cs_res@tiXAxisFontHeightF     = .02
-   cs_res@tiYAxisFontHeightF     = .02
+   cs_res@tmXBLabelFontHeightF   = .03
+   cs_res@tmYLLabelFontHeightF   = .03
+   cs_res@tiXAxisFontHeightF     = .03
+   cs_res@tiYAxisFontHeightF     = .03
    cs_res@tmXBMode                ="Automatic"
    cs_res@tmYLMode                ="Automatic"
-   cs_res@lgTitleFontHeightF     = .02 
-   cs_res@lgLabelFontHeightF     = .02
-   cs_res@txFontHeightF          = .02
+   cs_res@lgTitleFontHeightF     = .03 
+   cs_res@lgLabelFontHeightF     = .03
+   cs_res@txFontHeightF          = .03
    cs_res@cnLevelSelectionMode    = "ManualLevels"
 
@@ -428,25 +294,6 @@
    ; ****************************************************
 
-   if ( .not. isvar("start_time_step") ) then   	
-      start_time_step=t_all(0)/3600
-      if (parameter(13) .NE. "t(0)") then
-         if (stringtodouble(parameter(13)) .GT. t_all(nt-1)/3600)
-            print(" ")
-            print("'start_time_step' = "+ parameter(13) +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
-            print(" ")
-            print("Please select another 'start_time_step'")
-            print(" ")
-            exit
-         end if
-         if (stringtofloat(parameter(13)) .LT. t_all(0)/3600)
-            print(" ")
-            print("'start_time_step' = "+ parameter(13) +"h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
-            print(" ")
-            print("Please select another 'start_time_step'") 
-            print(" ")
-            exit
-         end if
-         start_time_step=stringtodouble(parameter(13)) 
-      end if
+   if (start_time_step .EQ. -1.) then   	
+      start_time_step=t_all(0)/3600      
    else 
       if (start_time_step .GT. t_all(nt-1)/3600)
@@ -467,11 +314,19 @@
       end if
    end if
-   start_time_step = start_time_step*3600
    do i=0,nt-1     
-      if (start_time_step .GE. t_all(i)-delta_t/2 .AND. start_time_step .LT. t_all(i)+delta_t/2)then
+      if (start_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. start_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          st=i
          break
       end if
    end do
+   
+   if (.not. isvar("st"))then
+      print(" ")
+      print("'start_time_step' = "+ start_time_step +"h is invalid")
+      print(" ")
+      print("Please select another 'start_time_step'")
+      print(" ")
+      exit
+   end if
         
    ; ****************************************************
@@ -479,34 +334,7 @@
    ; ****************************************************
 
-   if ( .not. isvar("end_time_step") ) then     	
-      end_time_step = t_all(nt-1)/3600
-      if (parameter(15) .NE. "t(end)") then
-         if (stringtodouble(parameter(15)) .LT. t_all(0)/3600)
-            print(" ")
-            print("'end_time_step' = "+parameter(15)+ "h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
-            print(" ")
-            print("Please select another 'end_time_step'")
-            print(" ")
-            exit
-         end if
-         if (stringtodouble(parameter(15)) .GT. t_all(nt-1)/3600)
-            print(" ")
-            print("'end_time_step' = "+ parameter(15) +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
-            print(" ")
-            print("Please select another 'end_time_step'")  
-            print(" ")
-            exit
-         end if
-         if (stringtodouble(parameter(15)) .LT. start_time_step/3600)
-            print(" ")
-            print("'end_time_step' = "+ parameter(15) +"h is lower than 'start_time_step' = "+parameter(13)+"h")
-            print(" ")
-            print("Please select another 'start_time_step' or 'end_time_step'")
-            print(" ")
-            exit
-         end if
-         end_time_step = stringtodouble(parameter(15))
-      end if    
-   else
+   if (end_time_step .EQ. -1.) then     	
+      end_time_step = t_all(nt-1)/3600  
+   else  
       if (end_time_step .LT. t_all(0)/3600)
          print(" ")
@@ -534,11 +362,19 @@
       end if
    end if
-   end_time_step = end_time_step*3600
    do i=0,nt-1     
-      if (end_time_step .GE. t_all(i)-delta_t/2 .AND. end_time_step .LT. t_all(i)+delta_t/2)then
+      if (end_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. end_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          et=i
          break
       end if
    end do 
+   
+   if (.not. isvar("et"))then
+      print(" ")
+      print("'end_time_step' = "+ end_time_step +"h is invalid")
+      print(" ")
+      print("Please select another 'end_time_step'")
+      print(" ")
+      exit
+   end if
   
    delete(start_time_step)
@@ -559,25 +395,16 @@
 
    if (vector .EQ. 1) then
-      if ( .not. isvar("plotvec") ) then
-         plotvec = parameter(45)
-      end if
-      if ( .not. isvar("vec1") ) then
-         vec1 = parameter(41)
-         if (parameter(41) .EQ. "vec1") then
-            print(" ")
-            print("Please indicate Vector 1 ('vec1') for Vector-Plot")
-            print(" ")
-            exit
-         end if
-      end if
-      if ( .not. isvar("vec2") ) then
-         vec2 = parameter(43)
-         if (parameter(43) .EQ. "vec2") then
-            print(" ")
-            print("Please indicate Vector 2 ('vec2') for Vector-Plot")
-            print(" ")
-            exit
-         end if
-      end if             
+      if (vec1 .EQ. "component1") then
+         print(" ")
+         print("Please indicate Vector 1 ('vec1') for Vector-Plot or set 'vector' to 0")
+         print(" ")
+         exit
+      end if
+      if (vec2 .EQ. "component2") then
+         print(" ")
+         print("Please indicate Vector 2 ('vec2') for Vector-Plot or set 'vector' to 0")
+         print(" ")
+         exit
+      end if            
    end if 
 
@@ -592,5 +419,5 @@
    if (xyc .EQ. 1) then
       do varn=0,dim-1
-         if (vNam(varn) .eq. "xu"  .OR. vNam(varn) .eq. "x")then    
+         if (vNam(varn) .eq. "xu" .OR. vNam(varn) .eq. "x")then    
             x_d     = f->$vNam(varn)$
             xdim    = dimsizes(x_d)-1
@@ -703,39 +530,7 @@
    ; ****************************************************         
                     
-   if ( .not. isvar("xs") ) then     		
-      xs     = 0.0d
-      xstart = 0
-      if (parameter(63) .NE. "x0") then
-         if (delta_x .EQ. -1) then
-            print(" ") 
-            print("You cannot choose a start value for x, there are preseted layers for x")
-            print(" ")
-            xstart=0
-         else
-            if (stringtodouble(parameter(63)) .LT. 0-delta_x/2) then
-               print(" ")
-               print("range start for x-coordinate = "+parameter(63)+"m is lower than first value x = "+0+"m or xu = "+(0-delta_x/2)+"m")
-               print(" ")
-               exit
-            end if
-            if (xyc .EQ. 1 .OR. xzc .EQ. 1) then
-               if (stringtodouble(parameter(63)) .GE. xdim*delta_x) then
-                  print(" ")
-                  print("range start for x-coordinate = "+parameter(63)+"m is equal or greater than last value = "+xdim*delta_x+"m")
-                  print(" ")
-                  exit
-               end if 
-            else
-               if (stringtodouble(parameter(63)) .GT. xdim*delta_x) then
-                  print(" ")
-                  print("range start for x-coordinate = "+parameter(63)+"m is greater than last value = "+xdim*delta_x+"m")
-                  print(" ")
-                  exit
-               end if 
-            end if
-            xs = stringtodouble(parameter(63))
-         end if
-      end if
-   else
+   if (xs .EQ. -1.d) then     		
+      xs = x_d(0)
+   else 
       if (delta_x .EQ. -1) then
          print(" ") 
@@ -768,38 +563,6 @@
    end if 
 
-   if ( .not. isvar("ys") ) then    
-      ys = 0.0d
-      ystart = 0
-      if (parameter(67) .NE. "y0") then
-         if (delta_y .EQ. -1) then
-            print(" ") 
-            print("You cannot choose a start value for y, there are preseted layers for y")
-            print(" ")
-            ystart=0
-         else
-            if (stringtodouble(parameter(67)) .LT. 0-delta_y/2) then
-               print(" ")
-               print("range start for y-coordinate = "+parameter(67)+"m is lower than first value = "+0-delta_y/2+"m")
-               print(" ")
-               exit
-            end if
-            if (xyc .EQ. 1 .OR. yzc .EQ. 1) then
-               if (stringtodouble(parameter(67)) .GE. ydim*delta_y) then
-                  print(" ")
-                  print("range start for y-coordinate = "+parameter(67)+"m is equal or greater than last value = "+ydim*delta_y+"m")
-                  print(" ")
-                  exit
-               end if
-            else
-               if (stringtodouble(parameter(67)) .GT. ydim*delta_y) then
-                  print(" ")
-                  print("range start for y-coordinate = "+parameter(67)+"m is greater than last value = "+ydim*delta_y+"m")
-                  print(" ")
-                  exit
-               end if
-            end if
-            ys = stringtodouble(parameter(67))
-         end if
-      end if
+   if (ys .EQ. -1.d) then    
+      ys = y_d(0)
    else
       if (delta_y .EQ. -1) then
@@ -833,42 +596,6 @@
    end if
   
-   if ( .not. isvar("zs") ) then     			
+   if (zs .EQ. -1) then     			
       zs = 0
-      if (parameter(71) .NE. "z0") then
-         if (delta_z .EQ. -1) then
-            print(" ") 
-            print("You cannot choose a start value for z, there are preseted layers for z")
-            print(" ")
-         else
-            print(" ")
-            print("Please mind to indicate start and end ranges for the z-coordinate in")
-            print("indices not in 'meters'. Corresponding index and meter:")
-            print(" ")
-            print(" = "+z_d+" m")
-            print(" ") 
-            if (stringtointeger(parameter(71)) .LT. 0) then
-               print(" ")
-               print("range start for z-coordinate = "+parameter(71)+" is lower than first gridpoint = 0")
-               print(" ")
-               exit
-            end if
-            if (xzc .EQ. 1 .OR. yzc .EQ. 1) then
-               if (stringtointeger(parameter(71)) .GE. zdim) then
-                  print(" ")
-                  print("range start for z-coordinate = "+parameter(71)+" is equal or greater than last gridpoint = "+zdim)
-                  print(" ")
-                  exit
-               end if
-            else
-               if (stringtodouble(parameter(71)) .GT. zdim) then
-                  print(" ")
-                  print("range start for z-coordinate = "+parameter(71)+" is greater than last gridpoint = "+zdim)
-                  print(" ")
-                  exit
-               end if
-            end if
-            zs = stringtointeger(parameter(71))
-         end if
-      end if
    else
       if (delta_z .EQ. -1) then
@@ -901,50 +628,6 @@
    end if  
 
-   if ( .not. isvar("xe")) then    
-      xe   = xdim*delta_x
-      xend = xdim
-      if (parameter(65) .NE. "xdim") then
-         if (delta_x .EQ. -1) then
-            print(" ") 
-            print("You cannot choose an end value for x, there are preseted layers for x")
-            print(" ") 
-            xend=xdim           
-         else
-            if (stringtodouble(parameter(65)) .GT. xdim*delta_x) then
-               print(" ")
-               print("range end for x-coordinate = "+parameter(65)+"m is greater than last value = "+xdim*delta_x+"m")
-               print(" ") 
-               exit 
-            end if 
-            if (xyc .EQ. 1 .OR. xzc .EQ. 1) then
-               if (stringtodouble(parameter(65)) .LE. 0-delta_x/2)
-                  print(" ")
-                  print("range end for x-coordinate = "+parameter(65)+"m is equal or lower than first value = "+(0-delta_x/2)+"m")
-                  print(" ")
-                  exit
-               end if
-               if (stringtodouble(parameter(65)) .LE. xs) then
-                  print(" ")
-                  print("range end for x-coordinate = "+parameter(65)+"m is equal or lower than start range = "+xs+"m")
-                  print(" ")
-                  exit
-               end if
-            else
-               if (stringtodouble(parameter(65)) .LT. 0-delta_x/2)
-                  print(" ")
-                  print("range end for x-coordinate = "+parameter(65)+"m is lower than first value = "+(0-delta_x/2)+"m")
-                  print(" ")
-                  exit
-               end if
-               if (stringtodouble(parameter(65)) .LT. xs) then
-                  print(" ")
-                  print("range end for x-coordinate = "+parameter(65)+"m is lower than start range = "+xs+"m")
-                  print(" ")
-                  exit
-               end if
-            end if         
-            xe = stringtodouble(parameter(65)) 
-         end if 
-      end if
+   if (xe .EQ. -1) then    
+      xe = x_d(xdim)
    else
       if (delta_x .EQ. -1) then
@@ -973,5 +656,5 @@
                exit
             end if
-            if (stringtodouble(xe .EQ. xs+1)) then
+            if (xe .EQ. xs+1) then
                print(" ")
                print("range end for x-coordinate = "+xe+"m must be at least two more gridpoints greater than start range = "+xs+"m")
@@ -995,57 +678,7 @@
       end if               
    end if
-
-   if ( .not. isvar("ye")) then  
-      ye   = ydim*delta_y
-      yend = ydim
-      if (parameter(69) .NE. "ydim") then
-         if (delta_y .EQ. -1) then
-            print(" ") 
-            print("You cannot choose an end value for y, there are preseted layers for y")
-            print(" ")
-            yend=ydim
-         else
-            if (stringtodouble(parameter(69)) .GT. ydim*delta_y) then
-               print(" ")
-               print("range end for y-coordinate = "+parameter(69)+"m is greater than last value = "+ydim*delta_y+"m")
-               print(" ") 
-               exit 
-            end if 
-            if (xyc .EQ. 1 .OR. yzc .EQ. 1) then
-               if (stringtodouble(parameter(69)) .LE. 0-delta_y/2)
-                  print(" ")
-                  print("range end for y-coordinate = "+parameter(69)+"m is equal or lower than first value = "+(0-delta_y/2)+"m")
-                  print(" ")
-                  exit
-               end if
-               if (stringtodouble(parameter(69)) .LE. ys) then
-                  print(" ")
-                  print("range end for y-coordinate = "+parameter(69)+"m is equal or lower than start range = "+ys+"m")
-                  print(" ")
-                  exit
-               end if
-               if (stringtodouble(parameter(69)) .EQ. ys+1) then
-                  print(" ")
-                  print("range end for y-coordinate = "+parameter(69)+"m must be at least two more gridpoints greater than start range = "+ys+"m")
-                  print(" ")
-                  exit
-               end if 
-            else
-               if (stringtodouble(parameter(69)) .LT. 0-delta_y/2)
-                  print(" ")
-                  print("range end for y-coordinate = "+parameter(69)+"m is lower than first value = "+(0-delta_y/2)+"m")
-                  print(" ")
-                  exit
-               end if
-               if (stringtodouble(parameter(69)) .LT. ys) then
-                  print(" ")
-                  print("range end for y-coordinate = "+parameter(69)+"m is lower than start range = "+ys+"m")
-                  print(" ")
-                  exit
-               end if
-            end if         
-            ye = stringtodouble(parameter(69)) 
-         end if 
-      end if
+   
+   if (ye .EQ. -1) then  
+      ye = y_d(ydim)
    else
       if (delta_y .EQ. -1) then
@@ -1097,54 +730,6 @@
    end if 
  
-   if ( .not. isvar("ze")) then  
+   if (ze .EQ. -1) then  
       ze = zdim
-      if (parameter(73) .NE. "zdim") then
-         if (delta_z .EQ. -1) then
-            print(" ") 
-            print("You cannot choose an end value for z, there are preseted layers for z")
-            print(" ")           
-         else
-            if (stringtointeger(parameter(73)) .GT. zdim) then
-               print(" ")
-               print("range end for z-coordinate = "+parameter(73)+" is greater than last gridpoint = "+zdim)
-               print(" ") 
-               exit 
-            end if 
-         if (xzc .EQ. 1 .OR. yzc .EQ. 1) then
-            if (stringtointeger(parameter(73)) .LE. 0)
-               print(" ")
-               print("range end for z-coordinate = "+parameter(73)+" is equal or lower than first gridpoint = 0")
-               print(" ")
-               exit
-            end if
-            if (stringtointeger(parameter(73)) .LE. zs) then
-               print(" ")
-               print("range end for z-coordinate = "+parameter(73)+" is equal or lower than start range = "+zs)
-               print(" ")
-               exit
-            end if
-            if (stringtodouble(parameter(73)) .EQ. zs+1) then
-               print(" ")
-               print("range end for z-coordinate = "+parameter(73)+" must be at least two more gridpoints greater than start range = "+zs)
-               print(" ")
-               exit
-            end if
-         else
-            if (stringtointeger(parameter(73)) .LT. 0)
-               print(" ")
-               print("range end for z-coordinate = "+parameter(73)+" is lower than first gridpoint = 0")
-               print(" ")
-               exit
-            end if
-            if (stringtointeger(parameter(73)) .LT. zs) then
-               print(" ")
-               print("range end for z-coordinate = "+parameter(73)+" is lower than start range = "+zs)
-               print(" ")
-               exit
-            end if
-         end if         
-         ze = stringtointeger(parameter(73)) 
-      end if 
-      end if
    else
       if (delta_z .EQ. -1) then
@@ -1211,5 +796,5 @@
    end if
    if (delta_y .NE. -1) then
-      do i=0,xdim    
+      do i=0,ydim    
          if (ys .GT. y_d(i)-delta_y/2 .AND. ys .LE. y_d(i)+delta_y/2)then
             ystart=i
@@ -1217,5 +802,5 @@
          end if
       end do 
-      do i=0,xdim    
+      do i=0,ydim    
          if (ye .GT. y_d(i)-delta_y/2 .AND. ye .LE. y_d(i)+delta_y/2)then
             yend=i
@@ -1223,4 +808,9 @@
          end if
       end do 
+   end if
+   
+   if( shape .eq. 1 ) then 
+      cs_res@vpWidthF    = (xe-xs)/(ye-ys)        
+      cs_res@vpHeightF   = 1
    end if
    
@@ -1238,6 +828,6 @@
       if (xe .EQ. xs+1) then
          print(" ")
-         print("range end for x-coordinate="+parameter(65)+"m(=>value on file="+xe*delta_x+"m) must be at least two") 
-         print("more gridpoints(="+2*delta_x+"m) greater than start range="+parameter(63)+"m(=>value on file="+xs*delta_x+"m)")
+         print("range end for x-coordinate="+xe*delta_x+"m) must be at least two") 
+         print("more gridpoints(="+2*delta_x+"m) greater than start range="+xs*delta_x+"m)")
          print(" ")
          exit
@@ -1247,6 +837,6 @@
       if (ye .EQ. ys+1) then
          print(" ")
-         print("range end for y-coordinate="+parameter(69)+"m(=>value on file="+ye*delta_y+"m) must be at least two") 
-         print("more gridpoints(="+2*delta_y+"m) greater than start range="+parameter(67)+"m(=>value on file="+ys*delta_y+"m)")
+         print("range end for y-coordinate="+ye*delta_y+"m) must be at least two") 
+         print("more gridpoints(="+2*delta_y+"m) greater than start range="+ys*delta_y+"m)")
          print(" ")
          exit
@@ -1256,6 +846,6 @@
       if (ze .EQ. zs+1) then
          print(" ")
-         print("range end for x-coordinate="+parameter(73)+"(=> value on file="+ze+") must be at least two") 
-         print("more gridpoints greater than start range="+parameter(71)+"(=>value on file="+zs+")")
+         print("range end for x-coordinate="+ze+") must be at least two") 
+         print("more gridpoints greater than start range="+zs+")")
          print(" ")
          exit
